> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Derivatives Underlying Assets List with Data

> To query all the supported derivatives underlying assets with price, open interest, funding rate and volume data

#### Notes

* Results match any of `coin_ids` and `rwa_ids`, then are narrowed by `underlying_type`.
* Maximum of **250** IDs per request. Wildcard searches are not supported.
* Unknown IDs are ignored. Returns `[]` if nothing matches.
* `current_price`, `open_interest` and `total_volume` are in USD.
* Assets with `null` open interest or volume are always listed last, whether sorted ascending or descending.
* For per-ticker data, use [Derivatives Tickers List](https://docs.coingecko.com/reference/derivatives-tickers.md).

**Analyst Plan and Above**
This endpoint is only available to **Analyst, Lite, Pro, and Enterprise** plan.
[→ View pricing](https://www.coingecko.com/en/api/pricing)

**Cache / Update Frequency:**


## OpenAPI

````yaml openapi-specs/pro-api.json get /derivatives/underlyings
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /derivatives/underlyings:
    get:
      summary: Derivatives Underlying Assets List with Data
      description: >-
        To query all the supported derivatives underlying assets with price,
        open interest, funding rate and volume data
      operationId: derivatives-underlyings
      parameters:
        - name: coin_ids
          in: query
          required: false
          description: |-
            Coins' IDs, comma-separated if querying more than 1 coin. 
            *refers to [`/coins/list`](/reference/coins-list)
          schema:
            type: string
            default: bitcoin
        - name: rwa_ids
          in: query
          required: false
          description: |-
            RWAs' IDs, comma-separated if querying more than 1 RWA. 
            *refers to [`/rwas/list`](/reference/rwas-list)
          schema:
            type: string
            default: gold
        - name: underlying_type
          in: query
          required: false
          description: Filter by underlying type.
          schema:
            type: string
            enum:
              - coin
              - rwa
        - name: page
          in: query
          required: false
          description: |-
            Page through results. 
            Default: 1
          schema:
            type: integer
        - name: per_page
          in: query
          required: false
          description: |-
            Total results per page. 
            Default: 100 
            Valid values: 1...250
          schema:
            type: integer
        - name: order
          in: query
          required: false
          description: |-
            Sort result by field. 
            Default: open_interest_desc
          schema:
            type: string
            enum:
              - open_interest_desc
              - open_interest_asc
              - volume_desc
              - volume_asc
      responses:
        '200':
          description: List of derivatives underlying assets with data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerivativesUnderlyings'
              example:
                - id: bitcoin
                  symbol: btc
                  name: Bitcoin
                  underlying_type: coin
                  current_price: 68708.23462448928
                  price_change_percentage_24h: -6.6178
                  open_interest: 45451655842.73
                  open_interest_change_percentage_1h: 0.4049687860147835
                  open_interest_change_percentage_24h: -0.6338842407777445
                  funding_rate: -0.0000804249910959869
                  total_volume: 434673824874.8
                - id: gold
                  symbol: xau
                  name: Gold
                  underlying_type: rwa
                  current_price: 3898.7874770946237
                  price_change_percentage_24h: -0.9
                  open_interest: 2910420695.36
                  open_interest_change_percentage_1h: -1.3335382491530214
                  open_interest_change_percentage_24h: 3.701439230747514
                  funding_rate: 0.01218484286453822
                  total_volume: 12515917595.08
components:
  schemas:
    DerivativesUnderlyings:
      type: array
      items:
        type: object
        required:
          - id
          - symbol
          - name
          - underlying_type
          - current_price
          - price_change_percentage_24h
          - open_interest
          - open_interest_change_percentage_1h
          - open_interest_change_percentage_24h
          - funding_rate
          - total_volume
        properties:
          id:
            type: string
            description: Underlying asset ID (coin ID or RWA ID)
          symbol:
            type: string
            description: Underlying asset symbol
          name:
            type: string
            description: Underlying asset name
          underlying_type:
            type: string
            enum:
              - coin
              - rwa
            description: Underlying asset type
          current_price:
            type: number
            description: Underlying asset price in USD
          price_change_percentage_24h:
            type: number
            description: Underlying asset 24-hour price change percentage
          open_interest:
            type: number
            nullable: true
            description: Derivative open interest in USD
          open_interest_change_percentage_1h:
            type: number
            description: Derivative 1-hour open interest change percentage
          open_interest_change_percentage_24h:
            type: number
            description: Derivative 24-hour open interest change percentage
          funding_rate:
            type: number
            description: Derivative funding rate
          total_volume:
            type: number
            nullable: true
            description: Derivative total trading volume in USD
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.